View Issue Details

Category
SSPBT:その他
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.4 (リリース) 
Summary0000054: プラグイン十徳ナイフについて
Description

SSP付属の十徳ナイフ1.5.1.0でアイコン表示修復の

![raiseplugin,8F8BCFB8-B27A-456f-9BA0-551484856DDC,OnSwissArmyKnifeExecute,repair_icon]

これをゴーストに送ると何も反応がありません。ゴミ箱を空になどは「完了。」
と反応します。栞のログを見ると

GET SHIORI/3.0
Charset: Shift_JIS
ID: OnRaisePluginFailure
Reference0: 204
Reference1: 8F8BCFB8-B27A-456f-9BA0-551484856DDC
Reference2: OnSwissArmyKnifeExecute
Reference3: repair_icon
SecurityLevel: local
Sender: SSP

となっていて![raiseplugin]が失敗しているようです。古いバージョンを
試してみたところ1.0.1.1ではOnSwissArmyKnifeExecuteが発生してゴースト
も「完了。」と反応しましたので1.5.1.0の問題だと思います。

ちなみに成功した場合はC:\Users\ユーザー名\AppData\Local\IconCache.dbが
削除されるのでしょうか?手元の環境ではどこのファイルが削除されるのか
確認出来ませんでした。

あと、「最近使ったファイル」の消去でエクスプローラのほうは削除されます
がWindows 10のスタートメニューのほうは消えないようです。

SSP 2.4.56
十徳ナイフ 1.5.1.0
ゴースト 華和梨8.2.8+OpenKEEPS使用自作ゴースト
OS Windows 10 64bit 1909 18363.592

よろしくお願いします。

Activities

ponapalt

2020-02-27 14:50

administrator   ~0000091

2.4.58で改善したと思います。
Windows 10のスタートメニューの分が消えないのは仕様(MSが開発者に触らせないようにしている)です。

guest

2020-02-27 21:22

reporter   ~0000096

修正ありがとうございました。2.4.58で確認したところゴーストから反応が返るように
なりましたが右クリックメニューから実行すると「完了。」と2回喋ります。ゴーストに
![raiseplugin,8F8BCFB8-B27A-456f-9BA0-551484856DDC,OnSwissArmyKnifeExecute,repair_icon]
を送ると1回喋るのでゴーストからOnSwissArmyKnifeMenuに反応を返さず十徳ナイフ
デフォルトのメニューから実行した場合に発生するようです。

C:\Users\ユーザー名\AppData\Local\IconCache.dbが消えているのは確認出来ました。

最近使ったファイルの件ですがスタートメニューのほうが消えないのはWin10の仕様と
いうことで了解しました。

あと、最近使ったフォルダも消えないようですがこれもWin10の仕様なのでしょうか?

ponapalt

2020-03-01 22:39

administrator   ~0000102

2回しゃべる問題は2.4.59付属のもので解消しています。

Windows 7~10で消えないのは、タスクバーのジャンプリスト内の最近使ったナントカという表示で、
たとえば、
shell:::{22877A6D-37A1-461A-91B0-DBDA5AAEBC99}
を「ファイル名を指定して実行」すると表示される最近使ったフォルダは消えます。

guest

2020-03-02 23:17

reporter   ~0000108

2回喋る問題の修正ありがとうございました。

shell:::{22877A6D-37A1-461A-91B0-DBDA5AAEBC99}を実行して
最近使ったフォルダが消えることを確認しました。

ponapalt

2020-03-05 16:37

administrator   ~0000113

STATE CHANGE TO CLOSE

Issue History

Date Modified Username Field Change
2020-02-11 22:23 guest New Issue
2020-02-27 14:50 ponapalt Assigned To => ponapalt
2020-02-27 14:50 ponapalt Status new => closed
2020-02-27 14:50 ponapalt Resolution open => fixed
2020-02-27 14:50 ponapalt Fixed in Version => 2.4 (リリース)
2020-02-27 14:50 ponapalt Note Added: 0000091
2020-02-27 21:22 guest Status closed => feedback
2020-02-27 21:22 guest Resolution fixed => reopened
2020-02-27 21:22 guest Note Added: 0000096
2020-03-01 22:39 ponapalt Note Added: 0000102
2020-03-02 23:17 guest Note Added: 0000108
2020-03-02 23:17 guest Status feedback => assigned
2020-03-05 16:37 ponapalt Status assigned => closed
2020-03-05 16:37 ponapalt Note Added: 0000113